<!DOCTYPE html>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd" lang="en-us" xml:lang="en-us" class="no-feedback" data-mc-search-type="Stem" data-mc-help-system-file-name="index.xml" data-mc-path-to-help-system="../../" data-mc-target-type="WebHelp2" data-mc-runtime-file-type="Topic" data-mc-preload-images="false" data-mc-in-preview-mode="false" data-mc-toc-path="Administration">
    <head>
        <meta charset="utf-8" />
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><title>Managing Accounts</title>
        
        <link href="../../Skins/Default/Stylesheets/TextEffects.css" rel="stylesheet" />
        <link href="../../Skins/Default/Stylesheets/Topic.css" rel="stylesheet" />
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" />
        <script src="../../Resources/Scripts/jquery.min.js">
        </script>
        <script src="../../Resources/Scripts/plugins.min.js">
        </script>
        <script src="../../Resources/Scripts/MadCapAll.js">
        </script>
    </head>
    <map id="map1" name="map1">
        <area shape="rectangle" coords="840,44,1093,87" href="http://www.rapid7.com/products/metasploit/download.jsp" target="_blank" />
        <area shape="rectangle" coords="1107,48,1211,80" href="http://www.rapid7.com/products/metasploit/" target="_blank" />
    </map>
    <body>
        <p class="MCWebHelpFramesetLink MCWebHelpFramesetLinkTop" style="display: none;"><a href="../../index.html#04-administration/managing-accounts.html">Open topic with navigation</a>
        </p>
        <h1>Managing Accounts</h1>
        <p>A user account provides you and your team members with access to <span class="VariablesProductName">Metasploit Pro</span>. You use a user account to log into <span class="VariablesProductName">Metasploit Pro</span> and to create identifies for other members on the team. </p>
        <p>A user account consists of a login name, the user’s full name, a password, and a role. 
Use the following components to set up a user account:</p>
        <ul>
            <li value="1"><em> 
Login name</em> - The user name that the system uses to uniquely identify a person.</li>
            <li value="2"><em> 
Full name</em> - The first and last name for the person who owns the user account. 
</li>
            <li value="3"><em>Password</em> - An eight character string that allows access to the use account. </li>
            <li value="4"> <![CDATA[
]]><em>Role</em> - The level of access that the user has to <span class="VariablesProductName">Metasploit Pro</span> and other projects. The role can be an administrator or basic user. </li>
        </ul>
        <h2>Account Types</h2>
        <p>A <a name="kanchor2"></a>user account can be a non-administrator account or an administrator account. The account type determines the level of privileges that a user must have to perform certain tasks. For example, administrators have unrestricted access to the system so they can perform system updates, manage user accounts, and configure system settings. Non-administrator accounts, on the other hand, have access to <span class="VariablesProductName">Metasploit Pro</span>, but can only perform a limited set of tasks.</p>
        <p class="SubHeading1">Administrator Account</p>
        <p>An <a name="kanchor3"></a>administrator account has unrestricted access to all <span class="VariablesProductName">Metasploit Pro</span> features. With an administrator account, you can do things like remove and add user accounts, update <span class="VariablesProductName">Metasploit Pro</span>, and access all projects.</p>
        <p class="SubHeading1">Non-Administrator Account</p>
        <p>A <a name="kanchor4"></a>non-administrator account gives a user access to <span class="VariablesProductName">Metasploit Pro</span>, but does not provide them with unlimited control over projects and system settings.This account restricts the user to the projects that they have access to and the projects that they own.</p>
        <p>A non-administrator account cannot perform the following tasks:</p>
        <ul>
            <li value="1">Create or manage other user accounts.</li>
            <li value="2">Configure global settings for <span class="VariablesProductName">Metasploit Pro</span>.</li>
            <li value="3">Update <span class="VariablesProductName">Metasploit Pro</span>.</li>
            <li value="4">Update the license key.</li>
            <li value="5">View projects that they do have access to.</li>
        </ul>
        <h2>Creating a User Account</h2>
        <ol>
            <li value="1">Click <b class="UISelection">Administrator &gt; User Administration</b> from the main menu.</li>
        </ol>
        <p>
            <img src="../Resources/Images/administration/admin-user-administration_493x88.png" alt="User Administration Menu" style="width: 493;height: 88;">
            </img>
        </p>
        <ol data-mc-continue="true">
            <li value="2">When the User Administration page appears, click the<b class="UISelection"> New User</b> button. </li>
            <li value="3">When the New User page appears, fill out the following information to create a user account:</li>
        </ol>
        <p>
            <img src="../Resources/Images/ui/UI_UserSettings_512x105.png" alt="User Settings" style="width: 512;height: 105;">
            </img>
        </p>
        <ul>
            <li class="indentedList" value="1"><b>User name</b> - Enter a user ID for the account.</li>
            <li class="indentedList" value="2"><b>Full name</b> - Enter the user’s first and last name.</li>
            <li class="indentedList" value="3"><b>Password </b>- Use mixed case, punctuation, numbers, and at least eight characters to create a strong password.</li>
            <li class="indentedList" value="4"><b>Password confirmation</b> - Re-enter the password.</li>
        </ul>
        <ol start="4">
            <li value="4">Select the <b class="UISelection">Administrator </b>option if you want to provide the account with administrative rights. If the account has administrative privileges, the user has unrestricted access to all areas of <span class="VariablesProductName">Metasploit Pro</span>. If the account does not have administrative rights, the user can only work with projects that they have access to and cannot update the system.</li>
        </ol>
        <ol start="4" data-mc-continue="true">
            <li value="5">If the account does not have administrative rights, click the <b class="UISelection">Show Advanced Options</b> button to choose the projects that the user can access.</li>
        </ol>
        <p>
            <img src="../Resources/Images/ui/UI_Role_521x103.png" style="width: 521;height: 103;">
            </img>
        </p>
        <ol start="4" data-mc-continue="true">
            <li value="6">Save the changes to the user account. </li>
        </ol>
        <h3>Account Requirements</h3>
        <p>All accounts must meet the user name and password requirements. If the user name or password does not meet one of the following criteria, <span class="VariablesProductName">Metasploit Pro</span> displays an error until you input a user name and password that complies with every requirement.</p>
        <p class="SubHeading1">User Name Requirements </p>
        <p>A <a name="kanchor5"></a>user name can contain any combination of the following characters:
</p>
        <ul>
            <li value="1">Alphanumeric characters
</li>
            <li value="2">Spaces
</li>
            <li value="3">Non-alphanumeric characters (!@#$%^&amp;*()+,.?/&lt;&gt;)</li>
        </ul>
        <p class="SubHeading1">Password Requirements</p>
        <p>A password must meet the following criteria:</p>
        <ul>
            <li value="1">Contains letters, numbers, and at least one special character.</li>
            <li value="2">Contain at least eight characters.</li>
            <li value="3">Cannot contain the user name.</li>
            <li value="4">Cannot be a common password.</li>
            <li value="5">Cannot use a predictable sequence of characters</li>
        </ul>
        <h2><a name="kanchor6"></a>Changing an Account Password</h2>
        <ol>
            <li value="1">Choose <b>Administration &gt; User Administration</b> from the main menu.</li>
        </ol>
        <p>
            <img src="../Resources/Images/administration/admin-user-administration_446x66.png" style="width: 446;height: 66;">
            </img>
        </p>
        <ol data-mc-continue="true">
            <li value="2">Select the user account that you want to modify.</li>
        </ol>
        <p>
            <img src="../Resources/Images/administration/admin-select-user-account_448x91.png" alt="Select a User to Edit" style="width: 448;height: 91;">
            </img>
        </p>
        <ol data-mc-continue="true">
            <li value="3">Click the <b>Settings</b> button.</li>
            <li value="4">Find the Change Password area. </li>
            <li value="5">In the <b class="UISelection">New Password</b> field, enter a password for the account. The password must contain at least eight characters and consist of letters, numbers, and at least one special character.</li>
        </ol>
        <p>
            <img src="../Resources/Images/administration/admin-change-password_440x78.png" style="width: 440;height: 78;">
            </img>
        </p>
        <ol data-mc-continue="true">
            <li value="6">Reenter the password in the <b class="UISelection">Password Confirmation</b> field. </li>
            <li value="7">Click the<b class="UISelection"> Change Password</b> button. </li>
        </ol>
        <p>If you have forgotten your password or need reset your password, follow the instructions for your operating system.</p>
        <p class="SubHeading1">Windows</p>
        <ol data-mc-continue="true">
            <li value="8">From the Start menu, choose <b>All Programs &gt; Metasploit &gt; Password Reset</b>.</li>
            <li value="9">When the <b>Password Reset</b> window appears, wait for the environment to load.</li>
        </ol>
        <p>
            <img src="../Resources/Images/administration/admin-reset-password-windows.png" alt="Windows Start Menu" />
        </p>
        <ol data-mc-continue="true">
            <li value="10">When the dialog prompts you to continue, enter <code class="usertype">yes</code>. The system resets the password to a random value.</li>
            <li value="11">Copy the password and use the password the next time you log in to <span class="VariablesProductName">Metasploit Pro</span>. </li>
        </ol>
        <p class="NoBulletListIndent">You can change the password after you log in to <span class="VariablesProductName">Metasploit Pro</span>. </p>
        <ol data-mc-continue="true">
            <li value="12">Exit the <b>Password Reset</b> window.</li>
        </ol>
        <p class="SubHeading1">Linux</p>
        <ol>
            <li value="1">Open the command line terminal and execute the following command:<code> sudo &lt;/path/to/metasploit&gt;/diagnostic_shell.</code></li>
        </ol>
        <p>
            <img src="../Resources/Images/administration/admin-reset-password-linux-1_448x196.png" alt="Reset Password on Linux" style="width: 448;height: 196;" />
        </p>
        <ol data-mc-continue="true">
            <li value="2">If prompted, enter your sudo password.</li>
            <li value="3">When  the system returns the<code> bash#</code> prompt, enter <code>&lt;/path/to/metasploit&gt;/apps/pro/ui/script/resetpw</code> to run the resetpw script.</li>
        </ol>
        <p>
            <img src="../Resources/Images/administration/admin-reset-password-linux-2_485x123.png" alt="Running the resetpw script on Linux" style="width: 485;height: 123;" />
        </p>
        <ol data-mc-continue="true">
            <li value="4">Copy the password and use the password the next time you log into Metasploit Pro. </li>
        </ol>
        <p class="NoBulletListIndent">You can change the password after you log in to Metasploit Pro.</p>
        <ol data-mc-continue="true">
            <li value="5">Exit the console.</li>
        </ol>
        <h2>Deleting a User Account</h2>
        <p>If you have an administrator account, you can delete user accounts that you no longer need. When you delete a <a name="kanchor7"></a>user account, the system reassigns the projects that belong to the account to the system. Any project that does not have a project owner will have system listed as the project owner.</p>
        <ol>
            <li value="1">Choose <b>Administration &gt; User Administration</b> from the main menu.</li>
        </ol>
        <p>
            <img src="../Resources/Images/administration/admin-user-administration_511x76.png" style="width: 511;height: 76;">
            </img>
        </p>
        <ol data-mc-continue="true">
            <li value="2">Select the user account that you want to delete.</li>
        </ol>
        <p>
            <img src="../Resources/Images/administration/admin-select-user-account_544x111.png" style="width: 544;height: 111;">
            </img>
        </p>
        <ol data-mc-continue="true">
            <li value="3">Click <b>Delete</b>.</li>
        </ol>
        <p>
            <img src="../Resources/Images/administration/admin-delete-user_543x107.png" alt="Delete User Button" style="width: 543;height: 107;">
            </img>
        </p>
        <ol data-mc-continue="true">
            <li value="4">Click <b>OK</b> to confirm that you want to delete the account.</li>
        </ol>
    </body>
</html>